Runtime

## org.eclipse.gmf.runtime.diagram.ui.actions
Class AbstractDeleteFromAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
                          org.eclipse.gmf.runtime.diagram.ui.actions.AbstractDeleteFromAction

All Implemented Interfaces:
  Disposable, IAction, IActionWithProgress, IDisposableAction, IOperationHistoryListener, IPropertyListener, ISelectionChangedListener

public abstract class AbstractDeleteFromAction
extends DiagramAction

Abstract action to be subclassed for various delete from actions. This Action is used to send a request that will destroy a semantic element.

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AbstractDeleteFromAction(IWorkbenchPage workbenchPage)` Constructor
`AbstractDeleteFromAction(IWorkbenchPart part)` Creates an `AbstractDeleteFromAction` with a default label.

Method Summary
`protected Request` `createTargetRequest()` Return the semantic request to destroy the element
`protected DestroyElementRequest` `getDestroyElementRequest()` Helper method for getting the `DestroyElementRequest`
`protected org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()` Gets my editing domain from my workbench part.
`protected boolean` `isSelectionListener()` Does this action need to listen to selection change events?
`protected void` `updateTargetRequest()` updates the target request.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
`calculateEnabled, clearTargetRequest, createOperationSet, dispose, doRun, execute, filterEditPartsMatching, getCommand, getCommand, getCommandLabel, getDiagramCommandStack, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getDiagramWorkbenchPart, getOperationSet, getPreferencesHint, getSelectedObjects, getTargetEditParts, getTargetRequest, refresh, setTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getUndoContext, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, init, isDisposed, isOperationHistoryListener, isPropertyListener, isRunnable, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### AbstractDeleteFromAction

    public AbstractDeleteFromAction(IWorkbenchPart part)

  Creates an `AbstractDeleteFromAction` with a default label.

Parameters:
  `part` - The part this action will be associated with.

### AbstractDeleteFromAction

    public AbstractDeleteFromAction(IWorkbenchPage workbenchPage)

  Constructor

Parameters:
  `workbenchPage` - The workbench page associated with this action

Method Detail

### createTargetRequest

    protected Request createTargetRequest()

  Return the semantic request to destroy the element

  Specified by:
    `createTargetRequest` in class `DiagramAction`
  Returns:
    the new target request
  See Also:
    `DiagramAction.createTargetRequest()`

### isSelectionListener

    protected boolean isSelectionListener()

  Description copied from class: `DiagramAction`
  Does this action need to listen to selection change events? If the enablement state of the context menu or the operation set depends on what is selected in a diagram, then this needs to return true. If this action targets the diagram only, then it should return false.

  Actions that are only contributed to the popup menu (and not toolbar or main menus) will not receive selection events at all. The refresh() method will be called when the context menu is about to show.

  Specified by:
    `isSelectionListener` in class `DiagramAction`

### updateTargetRequest

    protected void updateTargetRequest()

  Description copied from class: `DiagramAction`
  updates the target request. Clients should call this method whenever the request is expected to be changed

  Overrides:
    `updateTargetRequest` in class `DiagramAction`

### getDestroyElementRequest

    protected DestroyElementRequest getDestroyElementRequest()

  Helper method for getting the `DestroyElementRequest`

  Returns:
    the DestroyElementRequest

### getEditingDomain

    protected org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

  Gets my editing domain from my workbench part.

  Returns:
    my editing domain

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.